summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authornoiseless2015-06-09 00:55:38 +0300
committernoiseless2015-06-09 00:55:38 +0300
commitb8ee3526b6f914d7eb2fdb981d57ec575a74161b (patch)
treefb080c38a628fb7c0435a932877f8e6a70820711
downloadaur-mcabber-crew-modules.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD40
2 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ab22ca44b65
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = mcabber-crew-modules
+ pkgdesc = All modules from MCabber repository. PKGBUILD for crew edition.
+ pkgver = 40
+ pkgrel = 1
+ url = http://wiki.mcabber.com/index.php/Modules
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pkgconfig
+ makedepends = mercurial
+ depends = mcabber-crew-hg
+ optdepends = screen: for extsay module
+ provides = mcabber-crew-modules
+ conflicts = mcabber-modules
+ conflicts = mcabber-modules-hg
+
+pkgname = mcabber-crew-modules
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..01c97dc5e6d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# Packager: Andrew <darkseed2007@yandex.ru>
+pkgname=mcabber-crew-modules
+pkgver=40
+pkgrel=1
+pkgdesc="All modules from MCabber repository. PKGBUILD for crew edition."
+arch=('i686' 'x86_64')
+url="http://wiki.mcabber.com/index.php/Modules"
+license=('GPL')
+conflicts=(mcabber-modules mcabber-modules-hg)
+optdepends=('screen: for extsay module')
+depends=('mcabber-crew-hg')
+makedepends=('pkgconfig' 'mercurial')
+provides=("mcabber-crew-modules")
+
+_hgroot="http://hg.lilotux.net"
+_hgrepo="mcabber-modules"
+
+prepare() {
+ cd ${srcdir}
+ hg clone "${_hgroot}/${_hgrepo}"
+}
+
+build() {
+ cd "${srcdir}/${_hgrepo}"
+ ./autogen.sh
+ ./configure --enable-all-modules --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${_hgrepo}"
+ for e in clock comment info_msgcount killpresence lastmsg; do
+ install -Dm755 ${e}/.libs/lib${e}.so ${pkgdir}/usr/lib/mcabber/lib${e}.so
+ install -Dm755 ${e}/.libs/lib${e}.lai ${pkgdir}/usr/lib/mcabber/lib${e}.la
+ done
+ install -Dm755 extsay-ng/.libs/libextsay.so ${pkgdir}/usr/lib/mcabber/libextsay.so
+ install -Dm755 extsay-ng/.libs/libextsay.lai ${pkgdir}/usr/lib/mcabber/libextsay.la
+ install -Dm644 extsay-ng/README ${pkgdir}/usr/share/mcabber/doc/HOWTO_extsay.txt
+ install -Dm755 extsay-ng/extsay.sh ${pkgdir}/usr/share/mcabber/example/extsay.sh
+}